# binders.h File Reference

Go to the source code of this file.

## Classes

- class std::binder1st< _Operation >
    One of the binder functors. More...
- class std::binder2nd< _Operation >
    One of the binder functors. More...

## Namespaces

- namespace std

## Functions

- template<typename _Operation , typename _Tp > binder1st< _Operation > std::bind1st (const _Operation &__fn, const _Tp &__x)
- template<typename _Operation , typename _Tp > binder2nd< _Operation > std::bind2nd (const _Operation &__fn, const _Tp &__x)

## Variables

- std::binder1st std::_GLIBCXX_DEPRECATED_ATTR

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file binders.h.